package com.framework.mvvm.model.db.dao

import androidx.room.*
import com.framework.mvvm.model.db.entity.InfosConfigEntity

/**
 * 表 infos_config Dao
 */
@Dao
interface InfosConfigDao {
    @Query("select * from infos_config")
    suspend fun getConfigs(): List<InfosConfigEntity>

    @Query("select * from infos_config where id = :id")
    suspend fun getConfigById(id: String): InfosConfigEntity

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insConfig(config: InfosConfigEntity)

    @Delete
    suspend fun delConfig(config: InfosConfigEntity)
}