package com.framework.mvvm.model.db.dao

import androidx.room.*
import com.framework.mvvm.model.db.entity.SpaceEntity

/**
 * 表 space Dao
 */
@Dao
interface SpaceDao {
    @Query("select * from space")
    suspend fun getSpaces(): List<SpaceEntity>

    @Query("select * from space where id = :id")
    suspend fun getSpaceById(id: String): SpaceEntity

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insSpace(space: SpaceEntity)

    @Delete
    suspend fun delSpace(space: SpaceEntity)
}