package com.framework.mvvm.model.db.entity


import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import org.json.JSONObject

/**
 * 基本配置 表
 */
@Entity(tableName = "config")
data class ConfigEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "name") val name: String,   // 配置项名名称
    @ColumnInfo(name = "code") val code: String,   // 配置项代码
    @ColumnInfo(name = "data") val data: JSONObject?,    // 配置项的具体内容， 内容是 Json 格式，
    @ColumnInfo(name = "project_id") val project_id: String?
)